Package org.opensaml.messaging.decoder

# Interface MessageDecoder

All Superinterfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`

All Known Subinterfaces:
  `HttpClientResponseMessageDecoder`, `HttpServletRequestMessageDecoder`, `SAMLMessageDecoder`

All Known Implementing Classes:
  `AbstractHttpClientResponseMessageDecoder`, `AbstractHttpServletRequestMessageDecoder`, `AbstractMessageDecoder`, `BaseHttpClientResponseXMLMessageDecoder`, `BaseHttpServletRequestXMLMessageDecoder`, `BaseSAMLHttpServletRequestDecoder`, `HTTPArtifactDecoder`, `HTTPArtifactDecoder`, `HttpClientResponseSOAP11Decoder`, `HttpClientResponseSOAP11Decoder`, `HttpClientResponseSOAP11Decoder`, `HTTPPostDecoder`, `HTTPPostDecoder`, `HTTPPostSimpleSignDecoder`, `HTTPRedirectDeflateDecoder`, `HTTPSOAP11Decoder`, `HTTPSOAP11Decoder`, `HTTPSOAP11Decoder`

public interface MessageDecoder extends InitializableComponent, DestructableComponent
Interface for component that decodes message data from a source into a `MessageContext`. Before the decoder can be used the `InitializableComponent.initialize()` method must be called. After the decoder has been used the `DestructableComponent.destroy()` method should be invoked in order to clean up any resources.

The data on which the decoder operates is supplied in an implementation-specific manner.

## Method Summary

Modifier and Type
Method
Description
`void`
`decode()`
Decode message data from the source and store it so that it may be retrieved via `getMessageContext()`.
`MessageContext`
`getMessageContext()`
Get the decoded message context.

### Methods inherited from interface net.shibboleth.shared.component.DestructableComponent

`destroy, isDestroyed`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Method Details

### decode

void decode() throws MessageDecodingException
Decode message data from the source and store it so that it may be retrieved via `getMessageContext()`.

Throws:
  `MessageDecodingException` - if there is a problem decoding the message context

### getMessageContext

@Nullable MessageContext getMessageContext()
Get the decoded message context.

Returns:
  the decoded message context